diff --git a/modules/pico_dns_client.c b/modules/pico_dns_client.c
index 2cdb99080..7d0f2e0d8 100644
--- a/modules/pico_dns_client.c
+++ b/modules/pico_dns_client.c
@@ -240,7 +240,7 @@ static struct pico_dns_query *pico_dns_client_idcheck(uint16_t id)
     return pico_tree_findKey(&DNSTable, &test);
 }
 
-int pico_dns_client_query_header(struct pico_dns_header *pre)
+static int pico_dns_client_query_header(struct pico_dns_header *pre)
 {
     uint16_t id = 0;
     uint8_t retry = 32;
@@ -518,7 +518,7 @@ static void pico_dns_client_callback(uint16_t ev, struct pico_socket *s)
     return;
 }
 
-int pico_dns_create_message(struct pico_dns_header **header, struct pico_dns_query_suffix **qsuffix, enum pico_dns_arpa arpa, const char *url, uint16_t *urlen, uint16_t *hdrlen)
+static int pico_dns_create_message(struct pico_dns_header **header, struct pico_dns_query_suffix **qsuffix, enum pico_dns_arpa arpa, const char *url, uint16_t *urlen, uint16_t *hdrlen)
 {
     char *domain;
     char inaddr_arpa[14];
diff --git a/modules/pico_dns_client.h b/modules/pico_dns_client.h
index 38eea2b46..0482d732b 100644
--- a/modules/pico_dns_client.h
+++ b/modules/pico_dns_client.h
@@ -14,7 +14,6 @@
 #define PICO_DNS_NS_ADD 1
 #include <stdint.h>
 #include "pico_config.h"
-#include "pico_dns_common.h"
 
 /* Compression values */
 #define PICO_DNS_LABEL 0
@@ -45,7 +44,4 @@ int pico_dns_client_getaddr6(const char *url, void (*callback)(char *, void *),
 int pico_dns_client_getname6(const char *url, void (*callback)(char *, void *), void *arg);
 #endif
 
-int pico_dns_client_query_header(struct pico_dns_header *pre);
-int pico_dns_create_message(struct pico_dns_header **header, struct pico_dns_query_suffix **qsuffix, enum pico_dns_arpa arpa, const char *url, uint16_t *urlen, uint16_t *hdrlen);
-
 #endif /* _INCLUDE_PICO_DNS_CLIENT */
diff --git a/modules/pico_dns_common.c b/modules/pico_dns_common.c
index b10b384a2..acc9e2cd1 100644
--- a/modules/pico_dns_common.c
+++ b/modules/pico_dns_common.c
@@ -12,6 +12,7 @@
 #include "pico_socket.h"
 #include "pico_ipv4.h"
 #include "pico_ipv6.h"
+#include "pico_dns_common.h"
 #include "pico_dns_client.h"
 #include "pico_tree.h"
 
diff --git a/test/units.c b/test/units.c
index 87847c089..3f5015da8 100644
--- a/test/units.c
+++ b/test/units.c
@@ -25,8 +25,9 @@
 #include "pico_tcp.c"
 #include "pico_arp.c"
 #include "pico_icmp4.c"
-#include "pico_dhcp_common.c"
 #include "pico_dns_client.c"
+#include "pico_dns_common.c"
+#include "pico_dhcp_common.c"
 #include "pico_dhcp_server.c"
 #include "pico_dhcp_client.c"
 #include "pico_nat.c"
